#include <bits/stdc++.h>

/*
#pragma GCC target ("avx2")
#pragma GCC optimization ("O3")
#pragma GCC optimization ("unroll-loops")
*/
#define ios ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
#define rep(i,l,r) for (int i=l;i<=r;i++)
#define fi first
#define se second
#define pb push_back
#define all(x) (x).begin(), (x).end()
#define rall(x) (x).rbegin(), (x).rend()
#define ll long long
#define ull unsigned long long
#define mod 1000000007
#define nul(x) memset((x),0,sizeof((x)))
#define random_jbt mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());

using namespace std;


int main(){
    ios;

    ll p,q,r;
    cin>>p>>q>>r;
    ll x,y;
    cin>>x>>y;
    ll cnt=0;
    for (ll i=x;i<=min(100000LL,y);i++){
        ll ans=ceil(i/(double)p)+ceil(i/(double)q)+ceil(i/(double)r);
        if (ans<=i)cnt++;
    }
    cout<<cnt+max(0LL,y-100000LL)<<"\n";
    return 0;
}